> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List statement requests

Retrieve a paginated list of statement requests for a client. Supports filtering by statement type, status, and file format.


## OpenAPI

````yaml /openapi.json get /statements
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /statements:
    get:
      tags:
        - Statements
      summary: List statement requests
      description: >
        Retrieve a paginated list of statement requests for a client. Supports
        filtering by statement type, status, and file format.
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
        - description: Page number to retrieve
          in: query
          name: page
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - description: Number of items per page (default 50)
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            minimum: 1
            default: 50
        - description: Filter by statement type
          in: query
          name: statement_type
          required: false
          schema:
            type: string
            enum:
              - accounts
              - trades
              - mt940
              - incoming_funds
        - description: Filter by status
          in: query
          name: status
          required: false
          schema:
            type: string
            enum:
              - pending
              - running
              - completed
              - failed
        - description: Filter by file format
          in: query
          name: file_format
          required: false
          schema:
            type: string
            enum:
              - pdf
              - csv
              - xls
              - mt940
      responses:
        '200':
          description: Returns the list of statement requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatementRequestList'
        '400':
          description: Formatting, parameter or schema validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '404':
          description: Client ID not found
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    StatementRequestList:
      description: Paginated list of statement requests
      type: object
      required:
        - data
        - pagination
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/StatementRequest'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    StatementRequest:
      description: A statement generation request
      type: object
      required:
        - uuid
        - statement_type
        - file_format
        - status
        - status_display
        - start_datetime
        - end_datetime
        - created_at
      properties:
        uuid:
          type: string
          description: Unique identifier for the statement request
          example: 86f62d50-baa2-38dd-f61c-0eacc34ead50
        statement_type:
          type: string
          description: Type of statement
          enum:
            - accounts
            - trades
            - mt940
            - incoming_funds
          example: accounts
        file_format:
          type: string
          description: Format of the statement file
          enum:
            - pdf
            - csv
            - xls
            - mt940
            - coda
          example: pdf
        status:
          type: integer
          description: Status code (0=Pending, 1=Running, 2=Completed, 3=Failed)
          example: 0
        status_display:
          type: string
          description: Human-readable status
          example: Pending
        start_datetime:
          type: string
          format: date-time
          description: Start date/time for the statement period
          example: '2026-01-01T00:00:00'
        end_datetime:
          type: string
          format: date-time
          description: End date/time for the statement period
          example: '2026-03-31T23:59:59.999999'
        created_at:
          type: string
          format: date-time
          description: When the request was created
          example: '2026-04-07T21:18:49.061735'
        completed_at:
          type: string
          format: date-time
          nullable: true
          description: When the statement was completed (null if not yet complete)
          example: null
        error_message:
          type: string
          nullable: true
          description: Error message if the request failed
          example: null
    PaginationInfo:
      description: Pagination metadata
      type: object
      required:
        - current_page
        - total_pages
        - total_entries
        - per_page
        - first_page
        - last_page
      properties:
        current_page:
          type: integer
          example: 1
        total_pages:
          type: integer
          example: 5
        total_entries:
          type: integer
          example: 42
        per_page:
          type: integer
          example: 50
        first_page:
          type: integer
          example: 1
        last_page:
          type: integer
          example: 5
        previous_page:
          type: integer
          nullable: true
          example: null
        next_page:
          type: integer
          nullable: true
          example: 2
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````